cURL
curl --request POST \
--url https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/ListObjects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeArchived": true,
"pageToken": "<string>"
}
'import requests
url = "https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/ListObjects"
payload = {
"includeArchived": True,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({includeArchived: true, pageToken: '<string>'})
};
fetch('https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/ListObjects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"objects": [
{
"apiName": "<string>",
"archived": true,
"displayNamePlural": "<string>",
"displayNameSingular": "<string>",
"fieldDefinitions": [
{
"allowedObjectIds": [
"<string>"
],
"apiName": "<string>",
"archived": true,
"displayName": "<string>",
"enumValues": [
{
"apiName": "<string>",
"displayColor": [
"ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED",
"ENUM_VALUE_DISPLAY_COLOR_RED",
"ENUM_VALUE_DISPLAY_COLOR_ORANGE",
"ENUM_VALUE_DISPLAY_COLOR_YELLOW",
"ENUM_VALUE_DISPLAY_COLOR_GREEN",
"ENUM_VALUE_DISPLAY_COLOR_BLUE",
"ENUM_VALUE_DISPLAY_COLOR_VIOLET"
],
"displayName": "<string>"
}
],
"formula": "<string>",
"id": "<string>",
"type": [
"FIELD_DEFINITION_TYPE_UNSPECIFIED",
"FIELD_DEFINITION_TYPE_BOOLEAN",
"FIELD_DEFINITION_TYPE_NUMBER",
"FIELD_DEFINITION_TYPE_STRING",
"FIELD_DEFINITION_TYPE_TIMESTAMP",
"FIELD_DEFINITION_TYPE_USER_ID",
"FIELD_DEFINITION_TYPE_RECORD_ID",
"FIELD_DEFINITION_TYPE_ENUM"
],
"unique": true
}
],
"iconDisplayFieldDefinitionApiName": "<string>",
"id": "<string>",
"primaryDisplayFieldDefinitionApiName": "<string>",
"secondaryDisplayFieldDefinitionApiName": "<string>"
}
]
}{
"code": "CodeNotFound",
"detail": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Objects
List
POST
/
okapicrm.v1.OkapiCRMService
/
ListObjects
cURL
